tk_dup		equ	$00		duplicate tos
tk_swap		equ	$01		exchange tos with nos
tk_drop		equ	$02		pop tos and discard
tk_rot		equ	$03		n3 n2 n1 --> n1 n3 n2
tk_fetch	equ	$04		get word stored at addr in tos
tk_cfetch	equ	$05		get byte stored at addr in tos
tk_store	equ	$06		put (word) tos in addr at nos
tk_cstore	equ	$07		put (byte) tos in addr at nos
tk_bran		equ	$08		ip = ip + (ip)
tk_beq		equ	$09		bran if tos = 0
tk_con		equ	$0a		put (ip) onto stack as word
tk_conb		equ	$0b		put (ip) onto stack as byte
tk_col		equ	$0c		jump to (ip), start new thread
tk_semi		equ	$0d		return to old thread
tk_truef	equ	$0e		push true flag (-1) onto stack
tk_falsef	equ	$0f		push false flag (0) onto stack
tk_and		equ	$10		tos = tos & nos
tk_or		equ	$11		tos = tos | nos
tk_xor		equ	$12		tos = tos ^ nos
tk_not		equ	$13		tos = ~tos
tk_shftr	equ	$14		shift nos right by count in tos
tk_shftl	equ	$15		shift nos left by count in tos
tk_plus		equ	$16		tos = nos + tos
tk_minus	equ	$17		tos = nos - tos
tk_equal	equ	$18		nos = tos ?
tk_less		equ	$19		nos < tos ?
tk_great	equ	$1a		nos > tos ?
tk_uless	equ	$1b		nos < tos (U) ?
tk_ugreat	equ	$1c		nos > tos (U) ?
tk_zequal	equ	$1d		reverse logical tos
tk_over		equ	$1e		dup nos to tos
tk_slmod	equ	$1f		nos / tos, return r and q
tk_mod		equ	$20		nos / tos, return r
tk_slash	equ	$21		nos / tos, return q
tk_star		equ	$22		nos * tos
tk_plstr	equ	$23		nos + (tos) -> (tos)
tk_one		equ	$24		push 1 onto stack
tk_two		equ	$25		push 2 onto stack
tk_neg		equ	$26		negate tos
tk_abs		equ	$27		tos = abs(tos)
tk_qdup		equ	$28		(n -- n n) or (0 -- 0)
tk_do		equ	$29		DO run-time token
tk_loop		equ	$2a		LOOP run-time token
tk_ploop	equ	$2b		+LOOP run-time token
tk_i		equ	$2c		I run-time token
tk_j		equ	$2d		J run-time token
tk_k		equ	$2e		K run-time token
tk_leave	equ	$2f		LEAVE current DO-LOOP
tk_tor		equ	$30		move tos to return stack
tk_rfrom	equ	$31		move return stack to tos
tk_code		equ	$32		start executing CODE word
tk_exec		equ	$33		execute word in tos
tk_iofetch	equ	$34		fetch from I/O space
tk_iostore	equ	$35		store to I/O space
tk_iocfetch	equ	$36		c-fetch from I/O space
tk_iocstore	equ	$37		c-store to I/O space

